package com.kmall.admin.service;

import com.kmall.admin.entity.ThirdMerchExpressEntity;

import java.util.List;
import java.util.Map;

/**
 * 第三方商户快递账号表Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-03 16:52:21
 */
public interface ThirdMerchExpressService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    ThirdMerchExpressEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<ThirdMerchExpressEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param thirdMerchExpress 实体
     * @return 保存条数
     */
    int save(ThirdMerchExpressEntity thirdMerchExpress);

    /**
     * 根据主键更新实体
     *
     * @param thirdMerchExpress 实体
     * @return 更新条数
     */
    int update(ThirdMerchExpressEntity thirdMerchExpress);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
